Name:		crosstool-ng
Summary:	A versatile (cross-)toolchain generator.
Version:	1.25.0
Release:	%mkrel 1
License:	GPLv3
Group:		Development/toolchain
Url:		https://github.com/crosstool-ng/crosstool-ng
Source0:	https://github.com/crosstool-ng/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz
BuildRequires:	git-core
BuildRequires:	make
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	autoconf
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gawk
BuildRequires:	gettext
BuildRequires:	help2man
BuildRequires:	libncurses-devel
BuildRequires:	libtool
BuildRequires:	texinfo
BuildRequires:	unzip

%description
Crosstool-NG aims at building toolchains. Toolchains are an essential component in a software development project. It will compile, assemble and link the code that is being developed. Some pieces of the toolchain will eventually end up in the resulting binaries: static libraries are but an example.

%prep
#%autosetup -p1 -Sgit_am
cd ${PWD}/
./bootstrap
./configure --prefix=/usr

# fool build system a bit
#git tag -a %{version} -m "%{version}"


%build
%make_build

%install
%make_install

%clean
chmod -R ug+rw %{_rpmdir}
chmod -R ug+rw %{_srcrpmdir}

%files
%license COPYING
%license LICENSE
%{_bindir}/ct-ng
/usr/libexec/crosstool-ng/*
/usr/share/bash-completion/completions/ct-ng
%{_datadir}/*